## Tutorial Abstract

*Distributed Interactive Simulation (DIS) 101: The Basics*

The Distributed Interactive Simulation (DIS) protocol is a well-established IEEE standard for packet-level exchange of information between military simulations.  DIS facilitates simulation interoperability through a consistent over-the-wire format for information, widely agreed upon constant enumeration values, and community-consensus semantics.

Anyone can obtain the IEEE-1278 standard and implement their own compliant, interoperable, DIS application. A large variety of tools and
codebases simplify this effort, and enable multi-architecture integration of simulations using the DIS stand baseline. DIS focus begins with real-time, physics-based, entity-scale simulations, providing state update and interaction mechanisms which can scale to large virtual environments.

This tutorial is a “DIS 101” introduction for software implementers and an introduction to the DIS philosophy for simulation systems integrators.  Examples are provided using the open-source Open-DIS library for DIS v7 support, available in multiple programming languages.  Ongoing work in implementing DIS v8 plus Web-based implementations using 2D maps and X3D Graphics are included.

---

## Professional Development Workshop

*Open-DIS Library Programming for Distributed Interactive Simulation (DIS)*

The Distributed Interactive Simulation (DIS) protocol is a well-established IEEE standard for packet-level exchange of information between military simulations.  DIS facilitates simulation interoperability through a consistent over-the-wire format for information, widely agreed upon constant enumeration values, and community-consensus semantics.

Anyone can obtain the IEEE-1278 standard and implement their own compliant, interoperable, DIS application. A large variety of tools and
codebases simplify this effort, and enable multi-architecture integration of simulations using the DIS stand baseline. DIS focus begins with real-time, physics-based, entity-scale simulations, providing state update and interaction mechanisms which can scale to large virtual environments.

This workshop is for intermediate/advanced programmers who want to see implementation code using the open-source Open-DIS library which includes support for multiple programming languages.  Example code will focus on Java/JavaScript software and binary/JSON/XML data storage.  Attendees will learn how a modern API for DIS can be applied in a variety of applications.  All examples are unrestricted for any use.

Attendance at latest or earlier “DIS 101” tutorials is recommended, experience with Live-Virtual-Constructive (LVC) TENA/HLA applications is helpful.  Participation in Open-DIS community and relevant SISO forums will be described for those who want to get further involved.  Active ongoing work in implementing DIS v8 plus Web-based implementations using 2D maps and X3D Graphics are included.
